package com.sifang.modules.customer.form;

//进件信息
public class PrjProject {

    private String manufacturerRegno;//合作方/厂商-厂商登记注册号码
    private String factoryRegno;//运维方-运维方登记注册号码
    private String sellerRegno;//第一出卖人-出卖人登记注册号码
    private String sellerRegnoSecond;//第二出卖人-第二出卖人登记注册号码
    private String partnersContractNumber;//合作方进件序号-合作方的合同编号
    private String leaseChannel;//商业模式:经营租赁：40  合作共建：50
    private String documentType;//单据类型:经营租赁：OPERATING_LEASE  合作共建：JOINT_CONSTRUCTION
    private String division;//业务模式-PHOTOVOLTAIC_DEVICES
    private String paymentBpType;//付款对象-VENDER
    private String leaseDate;//预计投放日,格式yyyymmdd
    private String insuranceFlag;//保险购买情况:1.控制投放及续保 2.控制投放 3.其他

    //出租人:3001-广州越秀融资租赁有限公司 3074-广州越秀新能源投资有限公司  3081-广州越能光伏科技有限公司
    //根据实际业务出租方传入（若出租人为项目公司，则测试阶段用3081进行联调测试，待项目公司编码确认后，上线前以实际编码为准）
    private String lessorCode;

    private String tenantSignType;//承租人签约方式-默认：SIGN_ONLINE - 在线签约
    private String sellerSignType;//出卖人签约方式-默认：SIGN_ONLINE - 在线签约
    private String operatorSignType;//运维方签约方式-默认：SIGN_ONLINE - 在线签约

    private String confluenceGroupNumber;  //汇流组编号
    private Integer confluenceTotalNumber;   //本组电站个数
    private Integer confluenceSerialNumber;  //汇流组分组序号

    public String getManufacturerRegno() {
        return manufacturerRegno;
    }

    public void setManufacturerRegno(String manufacturerRegno) {
        this.manufacturerRegno = manufacturerRegno;
    }

    public String getFactoryRegno() {
        return factoryRegno;
    }

    public void setFactoryRegno(String factoryRegno) {
        this.factoryRegno = factoryRegno;
    }

    public String getSellerRegno() {
        return sellerRegno;
    }

    public void setSellerRegno(String sellerRegno) {
        this.sellerRegno = sellerRegno;
    }

    public String getSellerRegnoSecond() {
        return sellerRegnoSecond;
    }

    public void setSellerRegnoSecond(String sellerRegnoSecond) {
        this.sellerRegnoSecond = sellerRegnoSecond;
    }

    public String getPartnersContractNumber() {
        return partnersContractNumber;
    }

    public void setPartnersContractNumber(String partnersContractNumber) {
        this.partnersContractNumber = partnersContractNumber;
    }

    public String getLeaseChannel() {
        return leaseChannel;
    }

    public void setLeaseChannel(String leaseChannel) {
        this.leaseChannel = leaseChannel;
    }

    public String getDocumentType() {
        return documentType;
    }

    public void setDocumentType(String documentType) {
        this.documentType = documentType;
    }

    public String getDivision() {
        return division;
    }

    public void setDivision(String division) {
        this.division = division;
    }

    public String getPaymentBpType() {
        return paymentBpType;
    }

    public void setPaymentBpType(String paymentBpType) {
        this.paymentBpType = paymentBpType;
    }

    public String getLeaseDate() {
        return leaseDate;
    }

    public void setLeaseDate(String leaseDate) {
        this.leaseDate = leaseDate;
    }

    public String getInsuranceFlag() {
        return insuranceFlag;
    }

    public void setInsuranceFlag(String insuranceFlag) {
        this.insuranceFlag = insuranceFlag;
    }

    public String getLessorCode() {
        return lessorCode;
    }

    public void setLessorCode(String lessorCode) {
        this.lessorCode = lessorCode;
    }

    public String getTenantSignType() {
        return tenantSignType;
    }

    public void setTenantSignType(String tenantSignType) {
        this.tenantSignType = tenantSignType;
    }

    public String getSellerSignType() {
        return sellerSignType;
    }

    public void setSellerSignType(String sellerSignType) {
        this.sellerSignType = sellerSignType;
    }

    public String getOperatorSignType() {
        return operatorSignType;
    }

    public void setOperatorSignType(String operatorSignType) {
        this.operatorSignType = operatorSignType;
    }

    public String getConfluenceGroupNumber() {
        return confluenceGroupNumber;
    }

    public void setConfluenceGroupNumber(String confluenceGroupNumber) {
        this.confluenceGroupNumber = confluenceGroupNumber;
    }

    public Integer getConfluenceTotalNumber() {
        return confluenceTotalNumber;
    }

    public void setConfluenceTotalNumber(Integer confluenceTotalNumber) {
        this.confluenceTotalNumber = confluenceTotalNumber;
    }

    public Integer getConfluenceSerialNumber() {
        return confluenceSerialNumber;
    }

    public void setConfluenceSerialNumber(Integer confluenceSerialNumber) {
        this.confluenceSerialNumber = confluenceSerialNumber;
    }
}
